<?php
	class VendaController extends VendaModel {
		
		private $idFactura;
		private $totalVenda;
		private $entregue;
		private $troco;

		public function __construct($idFactura, $totalVenda, $entregue, $troco){

			$this->idFactura = $idFactura;
			$this->totalVenda = $totalVenda;
			$this->entregue = $entregue;
			$this->troco = $troco;

		}

		public function createVenda(){
			$result = $this->insertVenda($this->idFactura, $this->totalVenda, $this->entregue, $this->troco);
			return $result;
		}

		public function createVendaRecibo($valorPendente){
			$result = $this->insertVendaRecibo($this->idFactura, $this->totalVenda, $this->entregue, $this->troco, $valorPendente);
			return $result;
		}

		public function updateVendaRecibo($valorPendente){
			$result = $this->editVendaRecibo($this->idFactura, $this->totalVenda, $this->entregue, $this->troco, $valorPendente);
			return $result;
		}

	}